> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Entities List (ID Map)

> This endpoint allows you to **query all the supported entities on CoinGecko with entity ID, name, symbol, and country**

<Note>
  ### Note

  * Cache / Update Frequency: every 5 minutes for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-demo.json get /entities/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /entities/list:
    get:
      tags:
        - Public Treasury
      summary: Entities List (ID Map)
      description: >-
        This endpoint allows you to **query all the supported entities on
        CoinGecko with entities ID, name, symbol, and country**
      operationId: entities-list
      parameters:
        - name: entity_type
          in: query
          description: 'filter by entity type, default: false'
          required: false
          schema:
            type: string
            enum:
              - company
              - government
        - name: per_page
          in: query
          description: |-
            total results per page, default: 100 
             Valid values: 1...250
          required: false
          schema:
            type: integer
        - name: page
          in: query
          description: 'page through results, default: 1'
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: List all entities with ID, name, symbol and country
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntitiesList'
components:
  schemas:
    EntitiesList:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
            description: entity ID
          symbol:
            type: string
            description: ticker symbol of public company
          name:
            type: string
            description: entity name
          country:
            type: string
            description: country code
      example:
        - id: usbc
          symbol: USBC.US
          name: USBC
          country: US
        - id: mara-holdings
          symbol: MARA.US
          name: MARA Holdings
          country: US
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````